<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_4e804c3c659ffa" . "927094580817423" . "76b" => base64_decode("Q3JlYXRpbmcgc2NoZW1" . "h"), "_c1bf7b7ebd1ab84" . "31a8561d762db189" . "5" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZ" . "C4gQ2Fubm90IHVwZGF0ZQ=="), "_edc5e56d0d74937a" . "f4aa39a12b4e62f4" => base64_decode("MDAuMDA" . "="), "_09fd03941a048e1f28e823" . "189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjc" . "mVhdGVkLiBDdXJyZW50IHZlcnNpb2" . "4gaXMgJw=="), "_e608e5b5c4c34a6" . "7ba97ef84c1e1619" . "9" => base64_decode("J" . "w" . "=" . "="), "_3c4298ad118f" . "03549387eda8a" . "f859750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbn" . "N0YWxsZWQ="), "_afa8b786a" . "0282957bc5" . "e6c82eb5ee" . "aba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleG" . "lzdCBvciBub3QgcmVhZGFibGUsIHNr" . "aXBwaW5nIHNjaGVtYSBjcmVhdGlvbg" . "=="), "_98080012c02491a0c0cf9af5c97" . "7f3c7" => base64_decode("U2NoZ" . "W1hIG" . "ZpbGU" . "6IA=="), "_bc2b2cbee20" . "9b1cad087347" . "9a8fd921a" => base64_decode("L3NjaGVtYS9zY2" . "hlbWEucGhw"), "_98587fc188f350370f03d54707c5" . "87e1" => base64_decode("aXNfcmVh" . "ZGFibGU="), "_0a441bddac7bebad7" . "a9858a0dfadcd90" => base64_decode("MDEuMDE" . "="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3c4298ad118f" . "03549387eda8a" . "f859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c1bf7b7ebd1ab8431a8561" . "d762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bc2b2cb" . "ee209b1c" . "ad087347" . "9a8fd921" . "a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_98587fc188f350370f03d5470" . "7c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_98080012c0249" . "1a0c0cf9af5c97" . "7f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4e804c3c659ffa927094580" . "81742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0a441bddac7b" . "ebad7a9858a0d" . "fadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_09fd03941a04" . "8e1f28e823189" . "007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e608e5b5c4c34a67ba97ef84c1e1619" . "9"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_afa8b786a02" . "82957bc5e6c8" . "2eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_edc5e56d0d74937af4a" . "a39a12b4e62f4"]);
        }
    }
}